POST
/deleteTimelineEvent
http://ssm-incidents.{region}.amazonaws.com/deleteTimelineEventDeletes a timeline event from an incident.
Access Token Required: API Key
Body Params
eventIdstringrequired
The ID of the event to update. You can use <code>ListTimelineEvents</code> to find an event's ID.
incidentRecordArnstringrequired
The Amazon Resource Name (ARN) of the incident that includes the timeline event.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://ssm-incidents.{region}.amazonaws.com/deleteTimelineEvent' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}